#!/bin/bash

crash_dir="/var/crash"
dump_dir="/var/lib/systemd/coredump"
collect_dir="/opt/tgcs/collect"
collect_file="collect.tar.gz"
vsp_dir="/opt/tgcs/vsp"

if [ -d ${crash_dir} ]
then
	tar -czf ${collect_dir}/collect_crash.tar.gz ${crash_dir}/*vsd*
fi

if [ -d ${dump_dir} ]
then
	tar -czf ${collect_dir}/collect_dump.tar.gz ${dump_dir}/*vsd*
fi

journalctl -u vsd > ${collect_dir}/journal_log
[ -f /var/log/lpr.log ]  && cp /var/log/lpr.log ${collect_dir}/lpr.log

cp ${vsp_dir}/*.xml ${collect_dir}
/usr/bin/lsusb -v > ${collect_dir}/ls_usb
cp /etc/os-release > ${collect_dir}/version

[ -f ${collect_dir}/${collect_file} ] && rm -f ${collect_dir}/${collect_file}
tar -czf ${collect_dir}/${collect_file}  /opt/tgcs/collect/*

find ${collect_dir} -name "*" -type f | grep -v 'ollect\.tar\.gz' | xargs -i rm {}
